using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SuperSocket.SocketBase.Command;
using SuperSocket.SocketBase.Protocol;
using log4net;
using System.Reflection;
using TZONE.GPSSocketServer.Common;

namespace TZONE.GPSSocketServer.Command.ASAP
{
    public class DataHandle : CommandBase<GPSSession, BinaryRequestInfo>
    {
        public override string Name
        {
            get
            {
                return "40-53-41-50";//@SAP 0x40, 0x53, 0x41, 0x50 
            }
        }
        ILog log = log4net.LogManager.GetLogger(MethodBase.GetCurrentMethod().DeclaringType);

        public override void ExecuteCommand(GPSSession session, BinaryRequestInfo requestInfo)
        {
            try
            {
                //6
                //@UPP,1,2#
                session.Send("@UPP,1,2#");
                DownCommand.update_OrderExec_IsExec(session.IMEI, DownCommand.Exec_OK);
            }
            catch (System.Exception ex)
            {
                log.Error(ex.Message);
            }
        }
    }
}
